%define title FooBillard

Name: foobillard
%define beta a
Version: 3.0
Release: alt1.%beta

Group: Games/Boards
Summary: A game of playing billard
License: GPL
URL: http://foobillard.sunsite.dk/

Requires: sound_handler

Source0: %name-%{version}%beta.tar.bz2
Source1: %name
Source3: %name.16.xpm
Source4: %name.32.xpm
Source5: %name.48.xpm

Patch0: foobillard-makefile.patch
Patch1: foobillard-datadir.patch

# MDK
Patch10: foobillard-3.0-really-disable-nvidia.patch

# Automatically added by buildreq on Tue Jun 29 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs esound freetype2-devel gcc-c++ libGLU-devel libSDL-devel libpng-devel xpm zlib-devel
BuildRequires: XFree86-devel XFree86-libs freetype2-devel gcc2.96-c++ libGLU-devel
BuildRequires: libSDL-devel libpng-devel xpm zlib-devel

%description
FooBillard is an attempt to create a free OpenGL-billard for Linux. 
The game is still under development but the main physics is implemented. 
If you are a billard-pro and you're missing some physics, please tell me. 

%prep
%setup -q -n %name-%{version}%beta
#%patch0 -p1
#%patch1 -p1

%patch10 -p1


%build
# Fix CFLAGS
#%%{expand:%%add_optflags %%optflags_kernel %%optflags_notraceback %(freetype-config --cflags) -DDATADIR=\\\"%%_gamesdatadir/%%name/\\\"}
%{expand:%%add_optflags %%optflags_kernel %%optflags_notraceback}

CC=gcc-2.96 GXX=g++2.96 \
%configure \
    --bindir=%_gamesbindir \
    --datadir=%_gamesdatadir \
    --enable-dependency-tracking \
    --enable-SDL \
    --enable-sound \
    --enable-nvidia=no

%make_build CC=gcc-2.96 CXX=g++2.96
#CFLAGS="%optflags" LDFLAGS="-L/usr/X11R6/lib -lglut -lfreetype"

%install
%makeinstall bindir=%buildroot/%_gamesbindir datadir=%buildroot/%_gamesdatadir

#mkdir -p $RPM_BUILD_ROOT%_gamesbindir
#install -m755 %name $RPM_BUILD_ROOT%_gamesbindir/%name.real
#install -m755 %SOURCE1 $RPM_BUILD_ROOT%_gamesbindir/
#mkdir -p $RPM_BUILD_ROOT%_gamesdatadir/%name
#install -m644 *.png $RPM_BUILD_ROOT%_gamesdatadir/%name
#install -m644 *.TTF $RPM_BUILD_ROOT%_gamesdatadir/%name

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name): \
		command="sound_wrapper.sh %name" \
		icon=%name.xpm \
		needs="x11" \
		section="Amusement/Sports" \
		title="%title" \
		longtitle="Free OpenGL-billard."
EOF
mkdir -p %buildroot/%_iconsdir/hicolor/{16x16,32x32,48x48}/apps/
install -m 0644 %SOURCE3 %buildroot/%_iconsdir/hicolor/16x16/apps/%name.xpm
install -m 0644 %SOURCE4 %buildroot/%_iconsdir/hicolor/32x32/apps/%name.xpm
install -m 0644 %SOURCE5 %buildroot/%_iconsdir/hicolor/48x48/apps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS INSTALL NEWS README ChangeLog TODO README.FONTS foobillardrc.example
%_gamesbindir/*
%_gamesdatadir/%name
%_menudir/*
%_iconsdir/*/*/apps/%name.xpm

%changelog
* Tue Jun 29 2004 Sergey V Turchin <zerg at altlinux dot org> 3.0-alt1.a
- new version
- fix menu section

* Thu Nov 20 2003 Sergey V Turchin <zerg at altlinux dot org> 2.9-alt1
- new version

* Mon Jul 07 2003 Sergey V Turchin <zerg at altlinux dot org> 2.8-alt1
- new version

* Fri Jun 06 2003 Sergey V Turchin <zerg at altlinux dot org> 2.6-alt1
- new version

* Thu Apr 03 2003 Sergey V Turchin <zerg@altlinux.ru> 2.5-alt1
- new version

* Wed Jan 22 2003 Sergey V Turchin <zerg@altlinux.ru> 2.4-alt1
- new version

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt2
- rebuild with gcc2.96

* Thu Dec 19 2002 Sergey V Turchin <zerg@altlinux.ru> 2.2-alt1
- new version

* Thu Dec 05 2002 Sergey V Turchin <zerg@altlinux.ru> 2.0-alt1
- new version

* Wed Oct 23 2002 Sergey V Turchin <zerg@altlinux.ru> 1.8-alt1
- new version
- build with gcc3.2

* Tue Aug 06 2002 Sergey V Turchin <zerg@altlinux.ru> 1.6-alt1
- new version

* Wed May 29 2002 Sergey V Turchin <zerg@altlinux.ru> 1.5-alt1
- new version
- thanx Vyacheslav Dikonov <slava@altlinux.ru>
  for spec translation

* Sat May 18 2002 Sergey V Turchin <zerg@altlinux.ru> 1.4-alt1
- new version
- build with SDL

* Mon Apr 08 2002 Sergey V Turchin <zerg@altlinux.ru> 1.0-alt1
- new version 

* Wed Mar 27 2002 Sergey V Turchin <zerg@altlinux.ru> 0.9-alt1
- new version 

* Mon Mar 11 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.8-alt1
- First build for Sisyphus
